import { BasicColumn, FormSchema } from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '分层名称',
    dataIndex: 'tireName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '英文名称',
    dataIndex: 'themeEngName',
    width: 150,
    // onEditRow:true
  },
  {
    title: '描述',
    dataIndex: 'description',
    width: 150,
    customRender: (text) => text || '-',
    // onEditRow:true
  },
  {
    title: '创建人',
    dataIndex: 'creator',
    width: 150,
    // onEditRow:true
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 150,
    // onEditRow:true
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 150,
    // onEditRow:true
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入分层名称/英文名称',
    },
    colProps: { span: 5 },
  },
];
export const physicalModelFormSchema: any[] = [
  {
    field: 'tireName',
    label: '分层名称',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    field: 'themeEngName',
    label: '英文名称',
    component: 'Input',
    required: true,
    colProps: { span: 24 },
  },
  {
    field: 'description',
    label: '描述',
    component: 'InputTextArea',
    required: false,
    colProps: { span: 24 },
  },
  {
    field: 'tireBgColor',
    label: '分层背景色',
    colProps: { span: 24 },
    component: 'RadioGroup',
    required: true,
    componentProps: {
      options: [
        { label: '灰色', value: '#808080' },
        { label: '绿色', value: '#00FF00' },
        { label: '红色', value: '#FF0000' },
        { label: '蓝色', value: '#0000FF' },
        { label: '紫色', value: '#FF00FF' },
        { label: '黄色', value: '#FFFF00' },
        { label: '橙色', value: '#FFA500' },
      ],
    },
  },
];

/**移动*/
export const MoveFormSchema: any[] = [
  {
    field: 'institutionId',
    label: '所属机构',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
];
